pipebuilder6
=================================================

This is a collection of scripts for producing the compiled binaries of
hscPipe (version >= 6) distributed at
`https://hscdata.mtk.nao.ac.jp/hsc_bin_dist/` .

These scripts assume CentOS 6 or 7.

Usage
-------------------------------------------------

```
[user@host ~]# ./pre_build
[user@host ~]# ./configure
[user@host ~]# make
[user@host ~]# make dist
```

=== `pre_build`

This script installs prerequisites by means of `yum` .

=== `configure`

By this script you can configure build parameters.
See `./configure --help` .

=== `make`

`make` command actually *installs the product.* There is not a separate
"build" stage. `make` will take 4--5 hours with 8 cores.

[NOTE: To build hscPipe 6.x with a recent version of numpy,
we have to apply a patch `utils.patch` to `utils` package.
First you should simply type `make` .
The command will return with an error.
Then execute `bash utils.patch` and type `make` again.
---End NOTE]

=== `make dist`

`make dist` makes the product portable and ready to be packed.
It will take 0.5--1 hour.

Maintenance
-------------------------------------------------

To change the target version of hscPipe, modify `default_variables.json`
with a text editor.

To update versions of gcc, python, git, etc.,
run `rm libversions && make libversions` .
