#!/usr/bin/env python
import json
import re
try:
    from urllib.request import urlopen
except ImportError:
    from urllib2 import urlopen


js = json.load(urlopen(u"https://api.github.com/repos/tcltk/tk/git/refs/tags"))

versions = []
for item in js:
    m = re.match(u"^refs/tags/core_([0-9][0-9_]*[0-9])$", item["ref"])
    if m:
        versions.append(m.group(1))

versions.sort(key=lambda v: [int(n) for n in v.split(u"_")])
version = versions[-1]

url = "https://github.com/tcltk/tk/archive/core_{version}.tar.gz".format(version=version)

print(url)
